Bug 69749 - FILEOPEN: Importing Excel (xls) books including scenarios results in extra sheets
Summary: FILEOPEN: Importing Excel (xls) books including scenarios results in extra sh...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Scenarios
  Show dependency treegraph
 
Reported: 2013-09-24 09:20 UTC by kiyoshi.kamishima
Modified: 2018-09-04 02:55 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kiyoshi.kamishima 2013-09-24 09:20:59 UTC
Problem description: 
If you open Excel (xls) books including scenarios, you get extra sheets whose names are shown in blue. Each of those sheets contain values for a scenario.
If you print the document or export it as a PDF, those sheets are also printed.

Steps to reproduce:
1. Get an Excel book including scenarios and open it with Calc.
http://www.openoffice.org/sc/testdocs/index.html
http://www.openoffice.org/sc/testdocs/scenarios_import_biff8_12.xls
2. See extra sheets appear.
3. If you print the whole book, those extra sheets are also printed.

Current behavior:
See above.

Expected behavior:
Ideally those Excel scenarios are imported as Calc's scenarios.
Or at least they should not be treated as a visible part of the worksheet.

Additional info:
- It might be a valid feature, but I could not found any reference to it on the User Guide or Wiki.
- Apache OO 3.4.1 / 4.0.0 also exhibit the same problem.
- I found the following OOo-era bug report which says the import function had been implemented in OOo 3 circa 2009.
https://issues.apache.org/ooo/show_bug.cgi?id=99426
- I also found an ancient bug report c.2007 in downstream Ubuntu bug database, which claims the exact same issue. They just ignored it then.
https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/159844

Operating System: Windows 7
Version: 4.1.1.2 release
Comment 1 Urmas 2013-09-24 10:24:11 UTC
Confirmed in master.
Comment 2 Alex Thurgood 2015-01-03 17:39:20 UTC Comment hidden (no-value)
Comment 3 QA Administrators 2016-01-17 20:04:36 UTC Comment hidden (obsolete)
Comment 4 mrelwood 2016-10-12 09:12:50 UTC
This issue still exists in LibreOffice 5.2.1, three years from the original report. Xlsx files are also a little buggy with Scenarios (Scenario selection menu & borders not shown after opening), I'll see if there's a report concerning that.
Comment 5 mrelwood 2016-10-12 10:06:32 UTC
The bug remains in the current Master 5.2.2.

I reported a bug regarding Scenarios in an .xlsx format as well:
https://bugs.documentfoundation.org/show_bug.cgi?id=103147
Comment 6 QA Administrators 2018-09-04 02:55:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug